io.vertx.rxjava3.openapi.contract

## Class Path

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.Path

-     public class Path
      extends Object

  This interface represents the most important attributes of an OpenAPI Parameter.
  Parameter V3.1
  Parameter V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Path>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Path(Object delegate)`
    `Path(Path delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Path` | `getDelegate()`
    `String` | `getName()`
    `List<Operation>` | `getOperations()`
    `List<Parameter>` | `getParameters()`
    `int` | `hashCode()`
    `static Path` | `newInstance(Path arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Path> __TYPE_ARG

  - ### Constructor Detail

    - #### Path

          public Path(Path delegate)

    - #### Path

          public Path(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Path getDelegate()

    - #### getName

          public String getName()

      Returns:
        the name of this path

    - #### getOperations

          public List<Operation> getOperations()

      Returns:
        operations of this path

    - #### getParameters

          public List<Parameter> getParameters()

      Returns:
        parameters of this path

    - #### newInstance

          public static Path newInstance(Path arg)

Copyright © 2024 Eclipse. All rights reserved.